## falcosecurity-libs 0.14.1

=== debian/changelog ===
falcosecurity-libs (0.14.1-3) unstable; urgency=medium

  * More precise Build-Depends: libluajit-5.1-dev
    Thanks to Aurelien Jarno <aurel32@debian.org> for the report and
    patch. (Closes: #1061646)

 -- Dima Kogan <dkogan@debian.org>  Sat, 27 Jan 2024 15:24:44 -0800

falcosecurity-libs (0.14.1-2) unstable; urgency=medium

  * Fixed build-depends on arm64

 -- Dima Kogan <dkogan@debian.org>  Fri, 26 Jan 2024 09:37:41 -0800

falcosecurity-libs (0.14.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1059256, #1057449, #1056157)

 -- Dima Kogan <dkogan@debian.org>  Wed, 24 Jan 2024 22:25:38 -0800
